AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Tokenize a customer's bank account

Generate a bank account token via E-mandate.

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/accounts/tokenize

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

account_bank string required
This is the customer's bank code. You can see a list of all the available banks and their codes here.

account_number string required
This is the customer's account number. When testing on staging, you can find a list of test bank accounts here.

address string required
This is the customer's residential address.

amount int 32 required
This is the amount to be charged. The minimum amount required is 200.

email string required
This is the email address of the customer. Note: This has to be the exact email address passed during the initial charge.

phone_number string required
This is the phone number linked to the customer's mobile money account

start_date string
The activation date for the account token.

end_date string required
The expiry date of the generated account token.

narration string
This is a custom description added by the merchant

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

status string

amount integer

address string

narration string

account_id integer

currency string

end_date string

customer_id integer

start_date string

reference string

updated_at string

created_at string

processor_code string

processor_response string

mandate_consent object

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys